Bug 1703575 - python2: Multilib difference for usr/bin/smtpd2.7.pyo on x86_64 vs i686
Summary: python2: Multilib difference for usr/bin/smtpd2.7.pyo on x86_64 vs i686
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Tomas Orsava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1696741
TreeView+ depends on / blocked
 
Reported: 2019-04-26 18:17 UTC by Tomas Orsava
Modified: 2019-08-11 01:41 UTC (History)
9 users (show)

Fixed In Version: python2-2.7.16-2.fc31 python2-2.7.16-2.fc30 python2-2.7.16-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1696741
Environment:
Last Closed: 2019-05-03 00:58:57 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2019-04-26 18:17:31 UTC
> Subpackage python2-tools is not multilib-clean for x86_64 vs i686: 6 files have > non-equal 32/64bit content:
>   /usr/bin/smtpd2.7.pyo
>   /usr/bin/smtpd2.7.pyc
>   /usr/bin/pygettext2.7.pyo
>   /usr/bin/pygettext2.7.pyc
>   /usr/bin/msgfmt2.7.pyo
>   /usr/bin/msgfmt2.7.pyc

Investigation revealed that this is not a new behaviour, it's present in previous versions of Fedora.

I believe the proper solution is to remove all these pyc/pyo files in /usr/bin, as Python does not need/use those anyway, since they're not imported but directly launched.

Comment 1 Miro Hrončok 2019-04-26 18:38:30 UTC
Yes, those files are not supposed to be there.

Comment 3 Tomas Orsava 2019-04-30 18:38:14 UTC
I've tested that python2-tools is now multilib parallelly installable.

$ rpm -qa | grep python2-tools
python2-tools-2.7.16-2.fc30.i686
python2-tools-2.7.16-2.fc30.x86_64

Comment 4 Fedora Update System 2019-04-30 18:39:13 UTC
python2-2.7.16-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6d2bef148

Comment 5 Fedora Update System 2019-04-30 18:39:18 UTC
python2-2.7.16-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a3fd1d4e7

Comment 6 Fedora Update System 2019-05-01 01:44:24 UTC
python2-2.7.16-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2a3fd1d4e7

Comment 7 Fedora Update System 2019-05-01 03:21:46 UTC
python2-2.7.16-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6d2bef148

Comment 8 Fedora Update System 2019-05-03 00:58:57 UTC
python2-2.7.16-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-08-11 01:41:56 UTC
python2-2.7.16-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.